A student's open lab: learning and sharing, free for everyone.

SIP UniverseFree University

Home / Ecosystem, maps, and integration hooks / Configuration and troubleshooting seams

Configuration and troubleshooting seams

Configure the file the project names. Troubleshoot the plane that failed. Do not copy a sample this lab did not print.

Learn in 5 minutes

  1. Point Asterisk SIP config at pjsip.conf and the dialplan at extensions.conf
  2. Point a media-proxy problem at rtpengine's README
  3. Separate a WebSocket handshake failure from a codec failure

Visual

Decide the plane, then the page · study drawing · cyphermonkeylabs.com SymptomPlane no SIP 7118 no audio media

SVG HTML PNG

Each row is a page this edition opened. Parameter names that are not on that page are not filled in.

Worked example

Choose the file The endpoint exists. The extension 1000 does not ring. Asterisk is the PBX.

  1. Name the file that holds the endpoint.
  2. Name the file that holds the extension.
  3. Pick the one to open for this symptom.

Fault

The browser shows no WebSocket. The change removes Opus from the PBX.

RFC 7118's handshake happens before SDP.

Quiz

An Asterisk phone that registers but never hits an extension


A missing WebSocket 101 means


200 OK and silence points at


rtpengine flags that are not in the README


FreeSWITCH parameter defaults


A prefix before 911 is not fixed by


Ecosystem

Glossary, sister systems, and the integration seam for this room.

E911 / emergency calling Location has to ride with the call. RFC 6881 is the BCP, RFC 6442 carries location in SIP, and the FCC MLTS page states Kari’s Law and RAY BAUM’s Act obligations for multi-line systems.

Glossary · Ecosystem map · Ports · Troubleshooting

Sources and go deeper